Bug 444310 - debugedit: Include empty CU current directories
debugedit: Include empty CU current directories
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 18:32 EDT by Jan Kratochvil
Modified: 2009-07-15 04:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix. (1.06 KB, patch)
2008-04-26 18:32 EDT, Jan Kratochvil
no flags Details | Diff
Testcase: .spec. (490 bytes, text/plain)
2008-04-26 18:33 EDT, Jan Kratochvil
no flags Details
Testcase: .tar.gz. (192 bytes, application/octet-stream)
2008-04-26 18:34 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2008-04-26 18:32:48 EDT
Description of problem:
Firefox (xulrunner) is currently undebuggable by GDB:
(gdb) up
#1  0x00007f79042e1ee4 in PR_WaitCondVar (cvar=0x14196f0, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
405	../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c: No such file or directory.
	in ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c

/usr/lib/debug/lib64/libnspr4.so.debug
 <0><b>: Abbrev Number: 1 (DW_TAG_compile_unit)
    <11>   DW_AT_name        : (indirect string, offset: 0x7d):
../.././mozilla/nsprpub/pr/src/prvrsion.c
    <15>   DW_AT_comp_dir    : (indirect string, offset: 0x14c):
/usr/src/debug/nspr-4.7.0.99.2/pr/src

ls: cannot access
/usr/src/debug/nspr-4.7.0.99.2/pr/src/../.././mozilla/nsprpub/pr/src/prvrsion.c:
No such file or directory
ls: cannot access /usr/src/debug/nspr-4.7.0.99.2/pr/src: No such file or directory
-rw-r--r-- 1 root root 4715 2004-04-25 11:00
/usr/src/debug/nspr-4.7.0.99.2/./mozilla/nsprpub/pr/src/prvrsion.c
-rw-r--r-- 1 root root 4715 2004-04-25 11:00
/usr/src/debug/nspr-4.7.0.99.2/mozilla/nsprpub/pr/src/prvrsion.c

Version-Release number of selected component (if applicable):
rpm-build-4.4.2.3-2.fc9.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. rpmbuild -bb nodir.spec
2. rpm -qlvp nodir-debuginfo-1-0.fc9.x86_64.rpm 

Actual results:
drwxr-xr-x    2 root    root                0 Apr 27 00:21 /usr/src/debug/nodir-1
-rw-r--r--    1 root    root               32 Mar  9 10:34
/usr/src/debug/nodir-1/nodir.c

Expected results:
drwxr-xr-x    2 root    root                0 Apr 27 00:21 /usr/src/debug/nodir-1
drwxr-xr-x    2 root    root                0 Apr 27 00:21 /usr/src/debug/nodir-1/d
-rw-r--r--    1 root    root               32 Mar  9 10:34
/usr/src/debug/nodir-1/nodir.c

Additional info:
Wrong posting for GDB upstream:
http://sourceware.org/ml/gdb-patches/2008-04/msg00586.html
http://sourceware.org/ml/gdb-patches/2008-04/msg00589.html

It would be nice to include it for F-9 to get later F-9 Firefox updates debuggable.
Comment 1 Jan Kratochvil 2008-04-26 18:32:48 EDT
Created attachment 303875 [details]
Fix.
Comment 2 Jan Kratochvil 2008-04-26 18:33:31 EDT
Created attachment 303876 [details]
Testcase: .spec.
Comment 3 Jan Kratochvil 2008-04-26 18:34:07 EDT
Created attachment 303877 [details]
Testcase: .tar.gz.
Comment 4 Bug Zapper 2008-05-14 06:13:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeff Johnson 2008-05-18 13:04:52 EDT
Added @rpm5.org. Thanks for the patch.
Comment 6 Panu Matilainen 2008-06-27 08:17:20 EDT
Jan, sorry about the late response :-/ Added to rpm.org upstream and will
include in next update, there are a bunch of things wanting an rpm update anyway...
Comment 7 Bug Zapper 2009-06-09 20:28:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-15 04:18:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.